<script>
import Vue from 'vue'
import appConfig from '@src/app.config.json'
import Layout from '@layouts/main'
import store from "@state/store";
import FileManager from 'laravel-file-manager'
Vue.use(FileManager, {store})

export default {
  page: {
    title: 'Documents',
    meta: [{ name: 'description', content: appConfig.description }],
  },
  components: { Layout },
  mounted() {
    document.querySelector('p.unselectable').innerHTML = '<i class="far fa-plus-square"></i> Mon dossier';
    document.querySelector('td.unselectable').innerHTML = '<i class="far fa-folder"></i> Mon dossier';
  },
  data() {
    return {
      title : 'Documents',
      settings: {
        store,
        // axios headers
        headers: {
            'X-Requested-With': 'XMLHttpRequest',
            'Authorization': `Bearer ${ store.state.auth.currentUser.remember_token}`,
        },
        baseUrl: process.env.VUE_APP_BASE_URL + '/api/file-manager/',
        windowsConfig: 2,
        lang: 'fr',
      },
    }
  }
}
</script>

<template>
  <Layout :title="title">
    <div class="row">
      <div class="col-12" id="ged">
        <file-manager v-bind:settings="settings"></file-manager>
      </div>
    </div>
  </Layout>
</template>

<style>
  .fm .fm-body{
    min-height: 500px;
  }
  .fm-disk-list, .fm-breadcrumb{
    display: none;
  }
  .fm{
    border-radius: 25px 25px 0px 0px;
  }
</style>
